> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Set Group Purpose > (Obsolete) Sets the description for the group/channel (the same as `groups.setDescription`). ### Changelog | Version | Description | | ------- | ----------- | | 0.48.0 | Added | ## OpenAPI ````json POST /api/v1/groups.setPurpose { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.setPurpose": { "post": { "tags": [ "Groups" ], "summary": "Set Group Purpose", "description": "(Obsolete) Sets the description for the group/channel (the same as `groups.setDescription`).\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 0.48.0 | Added |", "operationId": "post-api-v1-groups.setPurpose", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "description": "The private group ID." }, "purpose": { "type": "string", "description": "The group purpose" } }, "required": [ "roomId", "purpose" ] }, "examples": { "Example": { "value": { "roomId": "ByehQjC44FwMeiLbX", "purpose": "Test out everything" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "purpose": { "type": "string" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "purpose": "Testing out everything.", "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````